using SlnMesnac.WPF.Models;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using System.Windows.Media.Imaging;

namespace SlnMesnac.WPF.ConvertTo
{
    public class IsSuccessConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is int IsSuccess)
            {
                switch (IsSuccess)
                {
                   case 0: return "NG";
                   case 1: return "OK";
                   case 2: return "NO";
                   case 3: return "人工确认";
                   default: return "OK";
                   
                }

              //  return IsSuccess == 1 ? "OK" : "NG";
            }
            return string.Empty; // or handle unexpected value
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotSupportedException();
        }
    }

}
